# pion::plugins::LogServiceAppender Class Reference

`#include <LogService.hpp>`

List of all members.

## Public Member Functions

void | setMaxEvents (unsigned int n)
| sets the maximum number of log events cached in memory
void | addLogString (const std::string &log_string)
| adds a formatted log message to the memory cache
void | writeLogEvents (pion::http::response_writer_ptr &writer)
| writes the events cached in memory to a response stream

## Detailed Description

LogServiceAppender: caches log events in memory for use by LogService

Definition at line 43 of file LogService.hpp.

The documentation for this class was generated from the following files:

- services/LogService.hpp
- services/LogService.cpp